`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   08:00:04 01/24/2021
// Design Name:   AntiChattering
// Module Name:   R:/Temp/SixteenSegment/t_AntiChattering.v
// Project Name:  SixteenSegment
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: AntiChattering
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module t_AntiChattering;

	// Inputs
	reg [1:0] iSig;

	// Outputs
	wire oSig;

	// Instantiate the Unit Under Test (UUT)
	AntiChattering uut (
		.iSig(iSig), 
		.oSig(oSig)
	);

	initial begin
		// Initialize Inputs
		iSig[0] = 0;
		iSig[1] = 1;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
		#1 iSig[0] = 1;
		#1 iSig[0] = 0;
		#1 iSig[0] = 1;
		#1 iSig[0] = 0;
		#1 iSig[0] = 1;
		#1 iSig[0] = 0;
		#1 iSig[0] = 1;

		#10;
		
		#1 iSig[1] = 0;
		#1 iSig[1] = 1;
		#1 iSig[1] = 0;
		#1 iSig[1] = 1;
		#1 iSig[1] = 0;
		#1 iSig[1] = 1;
		#1 iSig[1] = 0;

		#100;
		
		#1 iSig[1] = 1;
		#1 iSig[1] = 0;
		#1 iSig[1] = 1;
		#1 iSig[1] = 0;
		#1 iSig[1] = 1;
		#1 iSig[1] = 0;
		#1 iSig[1] = 1;
		
		#10;
		
		#1 iSig[0] = 0;
		#1 iSig[0] = 1;
		#1 iSig[0] = 0;
		#1 iSig[0] = 1;
		#1 iSig[0] = 0;
		#1 iSig[0] = 1;
		#1 iSig[0] = 0;

	end
      
endmodule

