`timescale 1us / 1ns

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   14:30:45 01/24/2021
// Design Name:   SixteenSegmentController
// Module Name:   R:/Temp/SixteenSegment/t_SixteenSegmentController.v
// Project Name:  SixteenSegment
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: SixteenSegmentController
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module t_SixteenSegmentController;

	// Inputs
	reg iClk;
	reg iLoad;
	reg [1:0] iDigit;
	reg [5:0] iSetPattern;
	reg iRst;

	// Outputs
	wire [3:0] oDis;
	wire [15:0] oPattern;

	// Instantiate the Unit Under Test (UUT)
	SixteenSegmentController uut (
		.iClk(iClk), 
		.iLoad(iLoad), 
		.iDigit(iDigit), 
		.iSetPattern(iSetPattern), 
		.iRst(iRst),
		.oDis(oDis), 
		.oPattern(oPattern)
	);

	initial begin
		// Initialize Inputs
		iClk = 0;
		iLoad = 1;
		iDigit = 0;
		iSetPattern = 0;
		iRst = 1;

		// Add stimulus here
		forever
			#125 iClk = ~iClk;

	end
	
	initial begin
		#400 iSetPattern=6'b011011; iDigit=2'b00;
		#400 iLoad = 0;
		#400 iLoad = 1;
		#400 iSetPattern=6'b011100; iDigit=2'b01; 
		#400 iLoad = 0;
		#400 iLoad = 1;
		#400 iSetPattern=6'b011101; iDigit=2'b10;
		#400 iLoad = 0;
		#400 iLoad = 1;
		#400 iSetPattern=6'b011110; iDigit=2'b11;
		#400 iLoad = 0;
		#400 iLoad = 1;
		
		
	end
      
endmodule

